#import <UIKit/UIKit.h>
#import "ContactProtocol.h"

@interface ContactFormController : UIViewController<UIActionSheetDelegate, UIImagePickerControllerDelegate, UINavigationControllerDelegate>

//----------------------------------------------------
// DELEGATES
//----------------------------------------------------
@property(strong, nonatomic) id<ContactProtocol> delegate;


//----------------------------------------------------
// ATTRIBUTES
//----------------------------------------------------
@property (strong, nonatomic) IBOutlet UIButton *addPictureButton;

@property (strong, nonatomic) IBOutlet UILabel *nameLabel;
@property (strong, nonatomic) IBOutlet UILabel *emailLabel;
@property (strong, nonatomic) IBOutlet UILabel *addressLabel;
@property (strong, nonatomic) IBOutlet UILabel *phoneLabel;
@property (strong, nonatomic) IBOutlet UILabel *siteLabel;
@property (strong, nonatomic) IBOutlet UILabel *twitterLabel;

@property (strong, nonatomic) IBOutlet UITextField *nameField;
@property (strong, nonatomic) IBOutlet UITextField *emailField;
@property (strong, nonatomic) IBOutlet UITextField *addressField;
@property (strong, nonatomic) IBOutlet UITextField *phoneField;
@property (strong, nonatomic) IBOutlet UITextField *siteField;
@property (strong, nonatomic) IBOutlet UITextField *twitterField;

@property (strong, nonatomic) IBOutlet UIToolbar *keyboardToolbar;

//----------------------------------------------------
// METHODS
//----------------------------------------------------
- (void) navigationCancelForm;
- (void) navigationConfirmForm;

- (void) loadKeyboardToolbar;
- (IBAction) showKeyboardToolbar;
- (void) hideKeyboardToolbar;

- (IBAction)actionSelectPicture:(id)sender;

@end
