#import "EditContactFormControllerViewController.h"
#import "Contact.h"

//----------------------------------------------------
// PRIVATE
//----------------------------------------------------
@interface EditContactFormControllerViewController ()
    
@property(nonatomic,strong) Contact *contact;

- (void) populateContact;
- (void) updateCurrentContact;

@end
//----------------------------------------------------


@implementation EditContactFormControllerViewController
@synthesize contact;

//----------------------------------------------------
// CALLBACKS
//----------------------------------------------------
- (void)viewDidLoad {
    [self setTitle:NSLocalizedString(@"title.edit.contact", @"Edit Contact")];
    
    // Right side button
    UIBarButtonItem *saveButton = [[UIBarButtonItem alloc] 
                                   initWithTitle:NSLocalizedString(@"button.save", @"Save") 
                                   style:UIBarButtonItemStylePlain 
                                   target:self 
                                   action:@selector(updateCurrentContact)];
    self.navigationItem.rightBarButtonItem = saveButton;
    
    [self populateContact];
    [self loadKeyboardToolbar];
}


//----------------------------------------------------
// METHODS
//----------------------------------------------------
- (id) initWithContact:(Contact *)_contact {
    self = [super initWithNibName:@"ContactFormController" bundle:[NSBundle mainBundle]];
    
    if(self){
        contact = _contact;
    }
    
    return self;
}

- (void) populateContact {
    [self.nameField    setText:self.contact.name];
    [self.emailField   setText:self.contact.email];
    [self.addressField setText:self.contact.address];
    [self.phoneField   setText:self.contact.phone];
    [self.siteField    setText:self.contact.site];
    [self.twitterField setText:self.contact.twitter];
}

- (void) updateCurrentContact {
    [contact setName:self.nameField.text];
    [contact setEmail:self.emailField.text];
    [contact setAddress:self.addressField.text];
    [contact setPhone:self.phoneField.text];
    [contact setSite:self.siteField.text];
    [contact setTwitter:self.twitterField.text];
    
    // Send a "refresh" message
    [self.delegate updateContactSuccess];
    
    // Back to the parent view
    [self.navigationController popViewControllerAnimated:YES];
}

@end
